part of 'analytics_devices_bloc.dart';

sealed class AnalyticsDevicesEvent extends Equatable {
  const AnalyticsDevicesEvent();

  @override
  List<Object> get props => [];
}

final class LoadAnalyticsDevicesEvent extends AnalyticsDevicesEvent {
  const LoadAnalyticsDevicesEvent({required this.param, required this.onSuccess});

  final GetAnalyticsDevicesParam param;
  final void Function(AnalyticsDevice device) onSuccess;

  @override
  List<Object> get props => [param];
}

final class SelectAnalyticsDeviceEvent extends AnalyticsDevicesEvent {
  const SelectAnalyticsDeviceEvent(this.device);

  final AnalyticsDevice device;

  @override
  List<Object> get props => [device];
}

final class ClearAnalyticsDeviceEvent extends AnalyticsDevicesEvent {
  const ClearAnalyticsDeviceEvent();
}
